from ipaddress import IPv4Address

from pytest import approx

from p04_testing.example.cluster import Cluster, ClusterStatus, Node, NodeStatus


class TestNode:
    def test_get_memory_free(self):
        node = Node('worker-1', IPv4Address('10.0.96.101'), NodeStatus.OK, 4, 8)
        # TODO: Implement the test

    def test_get_memory_used_ratio(self):
        pass


class TestCluster:
    pass
